// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef TESTTRACE_INTERFACES_BROADCAST_I_MYINTERFACE_2_H
#define TESTTRACE_INTERFACES_BROADCAST_I_MYINTERFACE_2_H

/************************************************************
 Broadcast_I_MyInterface_2 class header
 ************************************************************/

#include "TestTrace/Interfaces/Pkg_Interfaces.h"

#include "TestTrace/Interfaces/I_MyInterface_2.h"
#include "TestTrace/Types/Pkg_Types.h"
#include "vector"

namespace TestTrace {
namespace Types {
struct MyComplexType_1;
}
}
namespace TestTrace {
namespace Types {
struct MyComplexType_2;
}
}

// derived using directives
using namespace TestTrace::Interfaces;
using namespace TestTrace::Types;

namespace TestTrace {
namespace Interfaces {

/************************************************************/
/**
 * 
 */
class Broadcast_I_MyInterface_2: public I_MyInterface_2 {
public:

	/**
	 * 
	 */
	std::vector<I_MyInterface_2_ptr> references;

	/**
	 * 
	 * @param ref Reference to provided port 
	 */
	void connect_port(I_MyInterface_2 * /*in*/ref);

	/**
	 * 
	 * @param param1 
	 * @param param2 
	 * @param param3 
	 * @param param4 
	 * @param param5 
	 * @param param6 
	 */
	void MyOperation_2(MyComplexType_1 /*in*/param1,
			MyComplexType_2 /*in*/param2, Integer /*in*/param3,
			Double /*in*/param4, Text /*in*/param5, MyEnumeration /*in*/param6);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Interfaces
} // of namespace TestTrace

/************************************************************
 End of Broadcast_I_MyInterface_2 class header
 ************************************************************/

#endif
